#!/bin/sh

set -euf

cd ${AUTOPKGTEST_TMP}

# See discussion in https://bugs.debian.org/965041.
export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

for py in $(py3versions -s); do
    echo "=== $py ==="
    $py -m twisted.trial \
        --temp-directory=${AUTOPKGTEST_TMP}/_trial_temp_$py \
        --reactor=default \
        --reporter=verbose \
        -e twisted
done
